Summary: The GNU patch command, for modifying/upgrading files.
Name: patch
Version: 2.5.4
Release: 12tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/patch/patch-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q

%configure
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=/usr/share/man


%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

# XXX unset CPPFLAGS on (ultra?)sparc to avoid large file system support
%ifarch sparc sparc64
make CPPFLAGS=""
%else
make
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
#make install prefix=$RPM_BUILD_ROOT/usr mandir="$RPM_BUILD_ROOT"/usr/share/man
%makeinstall
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS README
/usr/bin/*
/usr/share/man/*/*

%changelog
* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 2.5.4-11tr
- Rebuilt 

* Mon Mar 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.5.4-10tr
- Rebuilt against glibc-2.3.4

* Sun Dec  7 2003 Erlend Midttun <erlendbm at trustix dot org> 2.5.4-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.4-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.4-5em
- Rebuilt against glibc 2.3.2.

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 2.5.4-4dm
- rebuild for Trustix Secure Linux 2.0

* Fri Jan 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man pages to comply with FHS

* Sun Jun 06 1999 Alan Cox <alan@redhat.com>
- Fix the case where stderr isnt flushed for ask(). Now the 'no such file'
  appears before the skip patch question, not at the very end, Doh!

* Mon Mar 22 1999 Jeff Johnson <jbj@redhat.com>
- (ultra?) sparc was getting large file system support.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- bump release to preserve newer than back-ported 4.2.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- Fix for problem #682 segfault.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- added buildroot

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.5

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
